# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()
{
   "key":"Kate",
   "name":"Kate",
   "version":"24.02.1",
   "install_date":"",
   "install_location":"",
   "uninstall_string":"\"C:\\Program Files\\Kate\\uninstall.exe\"",
   "publisher":"KDE e.V.",
   "system_component":0,
   "win64":false
  }

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('kate-release_*-windows-cl-msvc2022-x86_64.exe')[0]
    # Installing the software
    
    install_exe_if_needed(bin_name,
        silentflags='/S',
        key='Kate',
        min_version=control.get_software_version(),
    )



